<?php

namespace Drupal\box;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;
use Drupal\Core\Routing\LinkGeneratorTrait;
use Drupal\Core\Url;

/**
 * Defines a class to build a listing of Box entities.
 *
 * @ingroup box
 */
class BoxListBuilder extends EntityListBuilder {

  use LinkGeneratorTrait;

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['id'] = $this->t('Box ID');
    $header['machine_name'] = $this->t('Machine name');
    $header['title'] = $this->t('Title');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /* @var $entity \Drupal\box\Entity\Box */
    $row['id'] = $entity->id();
    $row['machine_name'] = $entity->machineName();
    $row['title'] = $this->l(
      $entity->label(),
      new Url(
        'entity.box.edit_form', [
          'box' => $entity->id(),
        ]
      )
    );
    return $row + parent::buildRow($entity);
  }

}
