<?php

namespace Drupal\box\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Box type entity.
 *
 * @ConfigEntityType(
 *   id = "box_type",
 *   label = @Translation("Box type"),
 *   handlers = {
 *     "list_builder" = "Drupal\box\BoxTypeListBuilder",
 *     "form" = {
 *       "add" = "Drupal\box\Form\BoxTypeForm",
 *       "edit" = "Drupal\box\Form\BoxTypeForm",
 *       "delete" = "Drupal\box\Form\BoxTypeDeleteForm"
 *     },
 *     "route_provider" = {
 *       "html" = "Drupal\box\BoxTypeHtmlRouteProvider",
 *     },
 *   },
 *   config_prefix = "box_type",
 *   admin_permission = "administer box entities",
 *   bundle_of = "box",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/structure/box/box_type/add",
 *     "edit-form" = "/admin/structure/box/box_type/{box_type}/edit",
 *     "delete-form" = "/admin/structure/box/box_type/{box_type}/delete",
 *     "collection" = "/admin/structure/box/box_type"
 *   }
 * )
 */
class BoxType extends ConfigEntityBundleBase implements BoxTypeInterface {

  /**
   * The Box type ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The Box type label.
   *
   * @var string
   */
  protected $label;

}
